> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Package Behaviors

> Update a package's behaviors.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json post /platform/appdev/apppackages/{packageId}/behaviors
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/apppackages/{packageId}/behaviors:
    post:
      tags:
        - Package
      summary: Update Package Behaviors
      description: Update a package's behaviors.
      parameters:
        - description: ''
          in: path
          name: packageId
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/ApplicationBehavior'
              type: array
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BehaviorCategoryBehaviorCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/BehaviorCategoryBehaviorCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/BehaviorCategoryBehaviorCollection'
          description: OK
components:
  schemas:
    ApplicationBehavior:
      description: ''
      properties:
        behaviorId:
          description: ''
          format: int32
          type: integer
        packageId:
          description: ''
          format: int32
          type: integer
      type: object
    BehaviorCategoryBehaviorCollection:
      description: ''
      properties:
        items:
          items:
            $ref: '#/components/schemas/BehaviorCategoryBehavior'
          nullable: true
          type: array
        totalCount:
          format: int32
          type: integer
      type: object
    BehaviorCategoryBehavior:
      description: ''
      properties:
        behaviorItems:
          description: ''
          items:
            $ref: '#/components/schemas/BehaviorItem'
          nullable: true
          type: array
        id:
          description: ''
          format: int32
          type: integer
        name:
          description: ''
          nullable: true
          type: string
      type: object
    BehaviorItem:
      description: ''
      properties:
        categoryId:
          description: ''
          format: int32
          type: integer
        id:
          description: ''
          format: int32
          type: integer
        isPrivate:
          description: ''
          type: boolean
        name:
          description: ''
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````